Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88296 - trigger script incorrectly edits modules.conf
Summary: trigger script incorrectly edits modules.conf
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.2
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-08 17:24 UTC by Stew Smith
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:46 UTC


Attachments (Terms of Use)

Description Stew Smith 2003-04-08 17:24:50 UTC
Description of problem:
kernel-2.4.spec contains a trigger script which will basically always edit
modules.conf


Version-Release number of selected component (if applicable):
kernel-2.4.18-27.7.x.src.rpm


How reproducible:
install kernel rpms built from the above source rpm

    
Actual results:
the trigger is run everytime, so you get multiple "options i810 xfreeversion=41"
entries in modules.conf


Expected results:
one entry of "options i810 xfreeversion=41" in modules.conf.


Additional info:


These (there are three) trigger scripts are the culprit:

%triggerin smp -- XFree86 < 4.2
-cat /etc/modules.conf 2>/dev/null | grep -v xfreeversion > /dev/null && ( echo
"options i810 xfreeversion=41" >> /etc/modules.conf ) || :

Here is the change I made (remove -v from grep, make the echo an || condition:

%triggerin smp -- XFree86 < 4.2
cat /etc/modules.conf 2>/dev/null | grep xfreeversion > /dev/null || ( echo
"options i810 xfreeversion=41" >> /etc/modules.conf ) || :

That way, it should only run if the string "xfreeversion" does not appear in the
file.

Comment 1 Bugzilla owner 2004-09-30 15:40:46 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.